1. Read and use this information -> http://www.jsiinc.com/SUBO/tip7100/rh7165.htm

2. IE 5.5 even with it's latest patches is... a security risk. Here's why. A code leak at Microsoft resulted in (bad) people developing an exploit using (or all things) a bitmap. Here's the article -> http://reviews.cnet.com/4520-3513_7-5122909-1.html

No patch was issued for 5.5 and Microsoft decided to just obsolete IE versions less than... 6.0.

To mitigate your risk if you decide to not install 6.0 (and its patches) try this article -> http://reviews.cnet.com/Mozilla_FireFox_10PR/4505-9241_7-31117280.html